Subject: [PATCH net-next 0/2] net: mvneta: use .mac_select_pcs()

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 25 Jan 2022 16:59:09 +0000

Hi,

This series converts mvneta to use the .mac_select_pcs() like eventually
everything else will be. mvneta is slightly more involved because we
need to rearrange the initialisation first to ensure everything required
is initialised prior to phylink_create() being called.

Tested locally on SolidRun Clearfog.

 drivers/net/ethernet/marvell/mvneta.c | 115 ++++++++++++++++++----------------
 1 file changed, 61 insertions(+), 54 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!